from enum import Enum


class FileType(Enum):
    Parquet = 1
    Json = 2

    @property
    def file_extension(self):
        match self.value:
            case FileType.Parquet.value:
                return '.parquet'
            
            case FileType.Json.value:
                return '.json'
            
            case _:
                raise ValueError('DataType must be Parquet or Json')
